#ifndef GENERATOR_H
#define GENERATOR_H

#include <string>

namespace sudoku
{
  class Board;

  class Generator
  {
  private:
    bool createNewSolution(Board&);
    Board& prune(Board&);

  public:
    bool generate(Board&);

    static std::string& generateComment(std::string&);
  };
}

#endif
